Public Class frmBenutzerBerGruppen
    Dim mitId = -1
    Dim progId = -1
    Dim codename = ""
    Dim sql As VERAG_PROG_ALLGEMEIN.SQL
    'Dim BerechtigungsObjekte As VERAG_PROG_ALLGEMEIN.cBerechtigungsObjekte_List
    Dim BerechtigungenGruppen As VERAG_PROG_ALLGEMEIN.cBerechtigungenGruppen_List
    Dim BerechtigungenBenutzerGruppenZuordnung As VERAG_PROG_ALLGEMEIN.cBerechtigungenBenutzerGruppenZuordnung_List

    Sub New(mitId, progId)

        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()
        Me.mitId = mitId
        Me.progId = progId
        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.

    End Sub
    Sub New(mitId, progId, codename)

        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()
        Me.mitId = mitId
        Me.progId = progId
        Me.codename = codename
        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.

    End Sub

    Private Sub frmBenutzerBerGruppen_Load(sender As Object, e As EventArgs) Handles Me.Load
        init()
    End Sub

    Sub init()
        ' MyComboBox1.SelectedIndex = 0
        gdvGruppen.Rows.Clear()

        BerechtigungenBenutzerGruppenZuordnung = New VERAG_PROG_ALLGEMEIN.cBerechtigungenBenutzerGruppenZuordnung_List(mitId)
        BerechtigungenGruppen = New VERAG_PROG_ALLGEMEIN.cBerechtigungenGruppen_List(progId)

        For Each b In BerechtigungenBenutzerGruppenZuordnung.LIST
            If b.berbgz_progId = progId Then gdvGruppen.Rows.Add(b.berbgz_id, b.Gruppenbezeichnung)
        Next


        MyComboBox2.Items.Clear()
        MyComboBox2.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("", ""))
        For Each i In BerechtigungenGruppen.LIST
            MyComboBox2.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem(i.bergr_bezeichnung, i.bergr_id))
            ' MsgBox(i.bergr_bezeichnung & " _" & i.bergr_id)
        Next
        gdvGruppen.ClearSelection()

    End Sub

    Private Sub Button3_Click(sender As Object, e As EventArgs) Handles Button3.Click
        If MyComboBox2._value = String.Empty Then Exit Sub
        For Each b In BerechtigungenBenutzerGruppenZuordnung.LIST
            If MyComboBox2._value = b.berbgz_id And b.berbgz_progId = progId Then
                MsgBox("Die Gruppe wurde bereits zugeordnet")
                Exit Sub
            End If
        Next
        Dim BGRZ As New VERAG_PROG_ALLGEMEIN.cBerechtigungenBenutzerGruppenZuordnung
        BGRZ.berbgz_progId = progId
        BGRZ.berbgz_mitId = mitId
        BGRZ.berbgz_bergrId = MyComboBox2._value
        BGRZ.INSERT()
        '  MsgBox(BGRZ.berbgz_progId & " _" & BGRZ.berbgz_mitId)
        MyComboBox2.SelectedIndex = 0
        init()

    End Sub

    Private Sub gdvGruppen_KeyDown(sender As Object, e As KeyEventArgs) Handles gdvGruppen.KeyDown
        If gdvGruppen.SelectedRows.Count = 0 Then Exit Sub
        If e.KeyCode = Keys.Delete Then
            Dim mitarbeiterInfo As New VERAG_PROG_ALLGEMEIN.cMitarbeiter(mitId)
            If vbYes = MsgBox("Möchten Sie für " & mitarbeiterInfo.mit_username & " die Gruppenzuweisung wirklich löschen?", vbYesNoCancel) Then
                Dim BGRZ As New VERAG_PROG_ALLGEMEIN.cBerechtigungenBenutzerGruppenZuordnung
                BGRZ.berbgz_id = gdvGruppen.SelectedRows(0).Cells("dgvGrp_id").Value
                BGRZ.DELETE()
                init()
            End If
        End If
    End Sub
End Class